Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class TreeWalker

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.xml.TreeWalker

public class TreeWalker
extends java.lang.Object

This class does a pre-order walk of the DOM tree, calling the FormatterListener interface as it goes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`TreeWalker(org.xml.sax.DocumentHandler formatterListener)` Constructor.

Method Summary
`protected void` | `endNode(org.w3c.dom.Node node)`
`org.xml.sax.DocumentHandler` | `getFormatterListener()` Get the DocumentHandler used for the tree walk.
`protected void` | `startNode(org.w3c.dom.Node node)`
`void` | `traverse(org.w3c.dom.Node pos)` Perform a pre-order traversal non-recursive style.
`void` | `traverse(org.w3c.dom.Node pos, org.w3c.dom.Node top)` Perform a pre-order traversal non-recursive style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalker

    public TreeWalker(org.xml.sax.DocumentHandler formatterListener)

  Constructor.

  Parameters:
    `formatterListener` - The implemention of the FormatterListener operation (toXMLString, digest, ...)

Method Detail

### getFormatterListener

    public org.xml.sax.DocumentHandler getFormatterListener()

  Get the DocumentHandler used for the tree walk.

### traverse

    public void traverse(org.w3c.dom.Node pos)
                  throws org.xml.sax.SAXException

  Perform a pre-order traversal non-recursive style.

### traverse

    public void traverse(org.w3c.dom.Node pos,
                         org.w3c.dom.Node top)
                  throws org.xml.sax.SAXException

  Perform a pre-order traversal non-recursive style.

### startNode

    protected void startNode(org.w3c.dom.Node node)
                      throws org.xml.sax.SAXException

### endNode

    protected void endNode(org.w3c.dom.Node node)
                    throws org.xml.sax.SAXException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD